%define mod_name Term-ANSIColor
Name:           perl-%{mod_name}
Version:        5.01
Release:        2
Summary:        Color screen output using ANSI escape sequences
License:        GPL+
URL:            https://metacpan.org/release/%{mod_name}
Source0:        https://cpan.metacpan.org/modules/by-module/Term/%{mod_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  coreutils, make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(perl -V:version | cut -d"'" -f 2))

%description
This Perl module is a simple and convenient interface to the ANSI terminal escape sequences for
color (from ECMA-48, also included in ISO 6429). The color sequences are provided in two forms,
either as constants for each color or via a function that takes the names of colors and returns
the appropriate escape codes or wraps them around the provided text. The non-color text style
codes from ANSI X3.64 (bold, dark, underline, and reverse, for example), which were also included
in ECMA-48 and ISO 6429, are also supported. Also supported are the extended colors used for
sixteen-color and 256-color emulators.

%package_help

%prep
%setup -q -n %{mod_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} %{buildroot}/*

%check
make test

%files
%defattr(-, root, root)
%doc README
%license LICENSE
%{perl_vendorlib}/*

%files help
%defattr(-, root, root)
%doc Changes examples
%{_mandir}/man3/*

%changelog
* Tue Oct 25 2022 huyubiao <huyubiao@huawei.com> - 5.01-2
- define mod_name to opitomize the specfile

* Wed Jul 22 2020 dingyue <dingyue5@openeuler.org> - 5.01-1
- Type:NA
- ID:NA
- SUG:NA
- DESC:NA

* Sat Dec 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 4.06-511
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:change mod of files

* Sun Sep 29 2019 shenyangyang <shenyangyang4@huawei.com> - 4.06-510
- Type:NA
- ID:NA
- SUG:NA
- DESC:move the directory of README

* Mon Sep 23 2019 shenyangyang<shenyangyang4@huawei.com> - 4.06-509
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise requires of perl

* Fri Aug 30 2019 hexiaowen <hexiaowen@huawei.com> 4.06-508
- Package init
